[etherlab-users] Fwd: No symbol version

Shahbaz Youssefi shabbyx at gmail.com
Tue May 17 04:10:32 CEST 2016


---------- Forwarded message ----------
From: Shahbaz Youssefi <shabbyx at gmail.com>
Date: Mon, May 16, 2016 at 10:10 PM
Subject: Re: [etherlab-users] No symbol version
To: Cleverson Deotti <cleverson at lucson.com.br>


You probably got warnings during build that the symbols were not
found. When you use symbols from another module, such as RTAI's and
ecmaster's, you need to set:

KBUILD_EXTRA_SYMBOLS = /all/other/Module.symvers

This makes the build correctly link with the symbols, so that when you
insmod your module, it knows it is ok to use the symbols from the
ecmaster module.

On Mon, May 16, 2016 at 7:18 PM, Cleverson Deotti
<cleverson at lucson.com.br> wrote:
> I installed  ethercat master 1.5.2 at kernel 3.4-9 RTAI  , i start ethercat
> normaly but when i load the application module, i get : "no symbol version
> for function_name"
> for all the functions .
> what is the problem?
>
> Best regards.
>
> Cleverson Deotti
>
> _______________________________________________
> etherlab-users mailing list
> etherlab-users at etherlab.org
> http://lists.etherlab.org/mailman/listinfo/etherlab-users
>


More information about the etherlab-users mailing list